BLOCK DKF
BLOCK DJS
BLOCK this_is_a_long_variable_name
START
  LOAD_IMMEDIATE(0,47)
  LOAD_IMMEDIATE(1,1)
  MUL_R(0,1,1)
  STORE(1,DKF)
  LOAD_IMMEDIATE(0,1)
  STORE(0,DJS)
  READ(1)
  STORE(1,this_is_a_long_variable_name)
continue:
  LOAD(0,DKF)
intermediate_stuff:
  LOAD(1,DJS)
  SUB_R(0,1,0)
  STORE(0,DKF)
  LOAD(1,this_is_a_long_variable_name)
  LOAD_IMMEDIATE(0,10)
  NEG(0)
  ADD_R(1,0,0)
  WRITE(0)
  STORE(0,this_is_a_long_variable_name)
  JUMP_NEGATIVE(0,end)
  DIV_R(0,1,0)
  JUMP(continue)
end:
  LOAD(0,DKF)
  LOAD(1,DJS)
  WRITE(0)
  WRITE(1)
  ADD_R(0,1,1)
  WRITE(1)
  LOAD_IMMEDIATE(0,1)
  MOV_R(1,0)
  INC(0)
  INC(1)
  INC(1)
  MUL_R(0,1,0)
other_stuff:
  LOAD_IMMEDIATE(0,-150)
  DEC(1)
  WRITE(1)
  COMPARE(0,1,0)
  STORE(0,DKF)
  JUMP_POSITIVE(0,end_2)
  JUMP(other_stuff)
end_2:
  STOP
